Subject: [eap] State machine 04 : Issue with bidirectionnal authentication and demultiplexing ?

From: [email-masked] (Florent Bersani)
Date: Thu, 17 Jul 2003 15:07:51 +0200

Hi,

I think I have an issue with the current state machine :

When two peers simultaneously perform EAP authentications (that is to say A
acts as a peer in dialog #1 with B which acts as an authenticator and, at
the same time, A acts as an authenticator in dialog #2 with B which acts as
a peer) the EAP dialogs have to get demultiplexed: this can easily be done
according to the EAP code field (responses go to the authenticator and other
codes - requests, success and failure - go to the peer).

The question is : who does this demultiplexing ? Should it be the lower
layer (which then would have to read and understand the EAP layer) or the
EAP state machine (which then should be modified, I think) ?

Florent